Autodir HOWTO
Prev |  | Next

# 21. Backup options

These options are passed to Autodir to request backup support.

`-b`

  This is the main option to specify the backup program path and arguments to it. The path given should be an absolute path, otherwise Autodir does not accept it.

`-w`

  Whenever a virtual directory is not used for a period of time, it is assumed inactive and it is unmounted. After unmounting the directory, whether to launch the backup immediately or to wait some more time is decided with this option. It takes arguments in seconds. It is the minimum time to wait before starting backup after virtual directory expiration. It should not exceed one day.

`-p`

  This is the priority to be given to the backup process. This is in the range of 1 to 40 inclusive. Lower value means higher priority and vice versa. The default value is 30.

`-c`

  This restricts the maximum number of backup processes at any given time. The default is 150.

| Using quotes
| The argument for the `-b` option is includes the absolute backup program path as well as its own arguments. Therefore it is recommended to use single quotes around this argument.

The `-b` option takes a path to executable file as well as arguments to it. However, the arguments are interpreted for a sequence of %x characters and replaced with predefined strings as follows:

`%N`

  Replaced with the virtual directory name.

`%L`

  Replaced with an absolute path to the real directory.

`%K`

  Replaced with host name.

Others

  Others are fed to `strftime`. See the man page for `strftime` for more information.

Prev | Home | Next
Autodir options |  | Examples